' THE WONDERFUL WORLD OF EAMON DELUXE ͻ
'                          by Frank Black                        
'                                                                
'         A computerized fantasy role-playing system             
'       based upon the Apple II version by Donald Brown,         
'          John Nelson, Tom Zuchowski, & Frank Black             
'                                                                
'                 MULTI-ADVENTURE INTRO PROGRAM                  
'                                                                
' The Nathan Segerlind Adventures           Update: 14 MAY 2001  
'     Converted to Eamon Deluxe by Frank Black                   
'                                                                
' ALL NON-COMMERCIAL DISTRIBUTION ENCOURAGED ͼ
'
DECLARE SUB EDX.Select.Multi.Adventure (c, a$)
DECLARE SUB EDXMenuM (c, c1, be, en, tc1, tc2)
DECLARE SUB Ragnarok.PicLoader ()
TYPE RECORD
  CNAME AS STRING * 40: Status AS INTEGER: a1 AS INTEGER: A2 AS INTEGER
  A3 AS INTEGER: SP1 AS INTEGER: SP2 AS INTEGER: SP3 AS INTEGER
  SP4 AS INTEGER: WA1 AS INTEGER: WA2 AS INTEGER: WA3 AS INTEGER
  WA4 AS INTEGER: WA5 AS INTEGER: ae AS INTEGER: sex AS INTEGER: gold AS LONG
  bank AS LONG: ac AS INTEGER: WN1 AS STRING * 20: WN2 AS STRING * 20
  WN3 AS STRING * 20: WN4 AS STRING * 20: WCOMPLX1 AS INTEGER
  WCOMPLX2 AS INTEGER: WCOMPLX3 AS INTEGER: WCOMPLX4 AS INTEGER
  WTYPE1 AS INTEGER: WTYPE2 AS INTEGER: WTYPE3 AS INTEGER: WTYPE4 AS INTEGER
  WDICE1 AS INTEGER: WDICE2 AS INTEGER: WDICE3 AS INTEGER: WDICE4 AS INTEGER
  WSIDES1 AS INTEGER: WSIDES2 AS INTEGER: WSIDES3 AS INTEGER
  WSIDES4 AS INTEGER
END TYPE
DIM z AS RECORD

'  Ragnarok Revisited picture variables
DIM SHARED pic%(1 TO 3460)
TYPE pictype
   s AS STRING * 6920
END TYPE
DIM SHARED picrec AS pictype

RESTORE AdventureData: READ a
DIM SHARED a$(a + 1), a1$(a), mp$(a), dly#, CC1#, CC2#, CC3#, adv, adv1, adv2
OPEN "..\SETTINGS.DAT" FOR INPUT AS #1: INPUT #1, dly#, CC1#, CC2#, CC3#: CLOSE
OPEN "NEW-MEAT" FOR RANDOM AS #1 LEN = 200: GET #1, 1, z: CLOSE
name$ = LTRIM$(RTRIM$(z.CNAME$)): sex = z.sex: q$ = CHR$(34)

adv2 = a
FOR a = 1 TO adv2
   READ a$(a), mp$(a): a1$(a) = "by Nathan Segerlind"
NEXT
DIM SHARED em0: RESTORE EDXMenuStrings: READ em0: DIM SHARED em$(em0)
FOR x = 1 TO em0: READ em$(x): NEXT
em$(0) = CHR$(13) + CHR$(32) + CHR$(27)  '(Enter, Space, Escape)
DIM SHARED ANAME$, dungeons

'
' Make sure graphic mode is available for Ragnarok intro
'
ON ERROR GOTO ScreenError
SCREEN 7

Start:
ON ERROR GOTO 0
SCREEN 0: WIDTH 80

OPEN "NAME.DAT" FOR INPUT AS #1
INPUT #1, c, c, c, c, ANAME$, c, c, dungeons
IF dungeons > 1 THEN
  DIM SHARED dn$(dungeons), dn%(dungeons, 9)
  FOR a = 1 TO dungeons
     LINE INPUT #1, dn$(a): FOR m = 1 TO 9: INPUT #1, dn%(a, m): NEXT
  NEXT: CLOSE
END IF

l$ = STRING$(80, 196)
OPEN "GAMEDIR.DAT" FOR INPUT AS #1: INPUT #1, a: CLOSE
author1$ = "Converted to Eamon Deluxe by Frank Black"
Adventure1$ = "The Nathan Segerlind Adventures"
author$ = author1$: Adventure$ = Adventure1$

COLOR 3: GOSUB Title
IF ASC(MID$(name$, 1)) = 0 THEN
  CLS : PRINT "!! WARNING !!": PRINT
  PRINT "This adventure has a corrupted file.  File is being restored and you are"
  PRINT "being returned to the main menu.": PRINT : PRINT : GOSUB KeyWait
  OPEN "GAMEDIR.DAT" FOR OUTPUT AS #1
  PRINT #1, -1
  FOR m = 1 TO 5
     PRINT #1, "(none)"
  NEXT
  CLOSE : CHDIR "..": RUN "EAMONDX"
END IF

IF a = -1 THEN
  a = -2: OPEN "GAMEDIR.DAT" FOR OUTPUT AS #1: PRINT #1, a
  FOR m = 1 TO 5
     PRINT #1, "(none)"
  NEXT: CLOSE
END IF

IF a = -2 THEN GOTO Intro
OPEN "ADV.DAT" FOR INPUT AS #1: INPUT #1, adv1: CLOSE
adv = adv1: Adventure$ = a$(adv): mp$ = mp$(adv): author$ = a1$(adv)
PRINT "Welcome back to "; Adventure$; "!": PRINT
PRINT "Do you want to see the intro story again? (Y/N):"; : GOSUB KeyWait1
IF k$ <> "y" AND k$ <> "Y" THEN GOTO IntroDone
ON adv GOSUB CCFear, Lost, Lake, Pathetic, Ed, Bridge, Grail, Ragna, Kretons
GOTO IntroDone

'              First-time intro
'             ------------------
Intro:
GOSUB Title
a$ = "This is official Eamon Deluxe adventure #8": GOSUB Center: PRINT
PRINT : PRINT : GOSUB KeyWait
PRINT "Nathan Segerlind wrote some of the funniest and most amusing adventures of all"
PRINT "the classic Eamons.  As you will be able to see when you play them, the first"
PRINT "few are somewhat boring Hack'n'Slashes with little of interest except the funny"
PRINT "(and sometimes downright strange) descriptions."
PRINT
PRINT "As time went on, Nate honed his skills and wrote some truly exceptional"
PRINT "adventures.  While "; q$; "Attack of the Kretons"; q$; " is truly his best work, everything"
PRINT "from "; q$; "The Pathetic Hideout of Mr. R."; q$; " up is pretty good.  I must say that I had"
PRINT "a lot of fun converting these adventures and I hope you enjoy playing them even"
PRINT "more."
PRINT SPC(56); "- Frank Black"
PRINT : PRINT : GOSUB KeyWait

Menu:
author$ = author1$: Adventure$ = Adventure1$: GOSUB Title
COLOR 2
FOR a = 1 TO 5
   PRINT a$(a); : LOCATE CSRLIN, 40: PRINT a$(a + 5)
NEXT
PRINT : COLOR 3: k = 12: c1 = 4
CALL EDXMenuM(k, c1, 1, 5, 3, 0)
IF k < 1 OR k > 5 THEN GOTO Menu

IF k = 5 THEN CHDIR "..": RUN "EAMONDX"
IF k = 4 THEN GOTO Bonus

GOSUB Pick
ON k GOTO Stories, Reviews, IntroDone0

Stories:
GOSUB Title
ON adv GOSUB CCFear, Lost, Lake, Pathetic, Ed, Bridge, Grail, Ragna, Kretons
GOTO Menu

Reviews:
GOSUB Title
ON adv GOSUB CCFear1, Lost1, Lake1, Pathetic1, Ed1, Bridge1, Grail1, Ragna1, Kretons1
GOTO Menu

IntroDone0:
GOSUB Title
ON adv GOSUB CCFear, Lost, Lake, Pathetic, Ed, Bridge, Grail, Ragna, Kretons
IntroDone:
PRINT "(Waking up the monsters...)"
OPEN "ADV.DAT" FOR OUTPUT AS #1: PRINT #1, adv: CLOSE
RUN mp$
'            ---------------------------
'             The Computer Club of Fear
'            ---------------------------
CCFear:
GOSUB Title
PRINT "You have been chosen by a group known as "; q$; "The Students"; q$; " to capture an evil king"
PRINT "known as..."
PRINT
COLOR 2: PRINT "                         ---------------------------"
PRINT "                                Mr. Roessler!"
PRINT "                         ---------------------------": COLOR 3
PRINT
PRINT "They will give you 5000 gold pieces for his capture (but not his assassination)."
PRINT "They give you a rope to tie him up with and send you off to search out the"
PRINT "no-good villain.  Good luck."
PRINT : PRINT : GOTO KeyWait
'            ---------------------------
'             Comp. Club of Fear review
'            ---------------------------
CCFear1:
s$ = "March 1998": GOSUB Review1
PRINT "Reviewed by Tom Zuchowski"
PRINT
PRINT "Special Features: 10 directions"
PRINT "Playing Time: 1 hour"
PRINT "Reviewer Rating: 6.0       Average Rating: 5.0/2"
PRINT
PRINT "Comment: In case you are wondering, Mr. Roessler was Nathan's computer-education"
PRINT "high school teacher.  I understand that the poor gentleman was somewhat bemused"
PRINT "by Nate's tendency to cast him as the villain in his Eamons!"
PRINT
PRINT "This is actually a pretty well-written Eamon, even though the concept is silly"
PRINT "to the point of bordering on stupid.  You explore this 60+ room computer club"
PRINT "that has all sorts of computer crazies and unlikely stuff laying around.  I got"
PRINT "somewhat worn down by the silliness, and didn't greatly enjoy the Samurai Cat"
PRINT "references, but there are many clever bits that I found pretty funny."
PRINT : PRINT : GOSUB KeyWait
PRINT "Here are a couple of hints: first, the Computer Clubber has a key you need; if"
PRINT "he becomes your friend you will find yourself stuck if you don't know this."
PRINT "Second, Mr. R. is a real heavy guy; you'll need a bit of magic to get him out"
PRINT "and get your reward."
PRINT : PRINT : GOTO KeyWait
'                -----------
'                   Lost!
'                -----------
Lost:
GOSUB Title
PRINT "You were playing a polite little game of poker with Hokas Tokas when you were"
PRINT "dealt a royal flush, spades."
PRINT
PRINT "Having the temper he has, he yelled, "; q$; "Why you little cheat!"; q$; " and cast a spell at"
PRINT "you.  Everything went black.  After what seemed like an eternity you awoke in"
PRINT "the Desert of Sands, a place as terrible as its name is stupid."
PRINT
PRINT "You wandered for months, and now..."
PRINT : PRINT : GOTO KeyWait
'                ----------------
'                  Lost! review
'                ----------------
Lost1:
s$ = "June 1994": GOSUB Review1
PRINT "Reviewed by Phillip Moore"
PRINT
PRINT "Playing Time: 1.5-2 hours. "
PRINT "Reviewer Rating: 3.0    Average Rating: 4.0/2"
PRINT
PRINT "Comment:  There is no quest or extra money at the end; just the standard"
PRINT "treasure and weapon selling stuff.  Some of the monsters are a little tough,"
PRINT "but not super tough.  I used a standard character straight from the Main Hall."
PRINT "I took no spells nor weapons but was able to find a weapon at the start."
PRINT
PRINT "It's a Hack'n'Slasher's dream--if it ain't nailed down, go for it.  There was"
PRINT "one easy puzzle.  I had some good laughs with the different monsters and"
PRINT "descriptive locations.  There are some death traps!  Look for friends, as they"
PRINT "will help in your struggle to kill monsters."
PRINT : PRINT : GOSUB KeyWait
PRINT "My rating is low because there was no quest, the death traps slowed me down,"
PRINT "and the one puzzle was relatively simple.  I observed no profanity, although"
PRINT "there was some implied stuff."
PRINT
PRINT "The ending, for me, wasn't cute or fancy.  It was different, but nothing to"
PRINT "write home about.  I would recommend this one for the young Eamonaut."
PRINT : PRINT : GOTO KeyWait
'                ------------
'                  The Lake
'                ------------
Lake:
GOSUB Title
COLOR 14: LOCATE 8: PRINT SPC(32); "WARNING!": COLOR 2: PRINT
PRINT "The Game-Checker General has determined that this adventure is normal, dull and"
PRINT "downright stupid!  Proceed with caution!"
COLOR 3: PRINT : PRINT : PRINT : GOSUB KeyWait
'
PRINT name$; ", you're in luck!"
PRINT
PRINT "You were wandering about the Main Hall when you bumped into Crazy Larry, a man"
PRINT "who specializes in adventure finding."
PRINT
PRINT "He said, "; q$; "Hello, I have something for you!  Way to the west, in a dark land"
PRINT "called Death, is the 'Lake'.  A dark place, with darker monsters and glittering"
PRINT "treasure."
PRINT
PRINT q$; "Deep in the middle of the Lake is Fred's Island, rumored to be a lair of"
PRINT "several disgusting orcs...  and worse!"
PRINT : PRINT : GOSUB KeyWait
PRINT q$; "But ye beware of the terrible dragon, Anglacion!  He's rumored to be as big as"
PRINT "the world and as black as midnight.  Beware of him, but behold his treasure for"
PRINT "no mine mines as much gold in several years as he steals in a day!"
PRINT
PRINT "A flying carpet will take you about the Lake, although its maximum altitude is"
PRINT "low, it will still carry you about the lake easily.'"
PRINT
PRINT "A magician then enters the room and you are caught in a blinding flash of"
PRINT "light..."
PRINT : PRINT : GOTO KeyWait
'                -----------------
'                 The Lake review
'                -----------------
Lake1:
s$ = "March 1998": GOSUB Review1
PRINT "Reviewed by Tom Zuchowski"
PRINT
PRINT "Playing Time: 20-60 min."
PRINT "Reviewer Rating: 4.0"
PRINT
PRINT "Comment: This adventure consists of a survey of a very large lake (about 50"
PRINT "rooms) punctuated by the island and the dragon's lair.  The lake is, as you"
PRINT "might expect, pretty boring to explore.  Every few rooms you run into a giant"
PRINT "this or a ticked-off that to fight, but I found them all to be light"
PRINT "one-or-two-round combat with Sam [a character that can be found in the Eamon"
PRINT "Deluxe Dungeon Designer menu under the 'Test a Design' option -FK].  Even"
PRINT "Anglacion (a dragon) isn't that tough to kill; the catch with him is that he can"
PRINT "kill you with just one or two blows."
PRINT : PRINT : GOSUB KeyWait
PRINT "My impression from the way Nate designed the clues is that you are intended to"
PRINT "find out how to steal some of the dragon's treasure without actually having to"
PRINT "face him.  It's up to you: you can steamroller the place with a strong character"
PRINT "and tactical nukes, or make it interesting with a "; q$; "normal"; q$; " character and Main"
PRINT "Hall grade weapons.  Difficulty of (3) unless you choose to do it with Main Hall"
PRINT "equipment."
PRINT : PRINT : GOTO KeyWait
'                ----------------------------
'                 Pathetic Hideout of Mr. R.
'                ----------------------------
Pathetic:
GOSUB Title
PRINT "You were having a real blast at the Main Hall last Friday.  It was the annual"
PRINT "Adventurer Day bash.  Just as the mage, Hokas Tokas, said "; q$; "Bottoms up!"; q$; " in the"
PRINT "grand toast, someone yanked you outside."
PRINT
PRINT "It was a short skinny dwarf with a black beard and a name tag which read"
PRINT q$; "Sledgehammer"; q$; ".  He said to you, "; q$; "The evil tyrant, Mr. Roessler has built a"
PRINT "small outpost in Northern Eamon.  It is believed to be nothing more than a"
PRINT "hideout, but who knows exactly the power he has in his grasp."
PRINT
PRINT q$; "Your goal is to stop Roessler (pronounced: race-ler) by destroying his"
PRINT "fortress.  Mr. Roessler himself is immortal and cannot be defeated by physical"
PRINT "means.  (Still some adventures left in the old goat!)"; q$
PRINT : PRINT : GOSUB KeyWait
PRINT "The dwarf takes you on the north road to the Really-Big-and-Scary Forest, where"
PRINT "Roessler's outpost is suspected to be.  He takes you within sight of a small"
PRINT "shack and leaves you there as he heads back for the Main Hall.  The last thing"
PRINT "he said to you was, "; q$; "Good luck, "; name$; "!"; q$
PRINT : PRINT : GOTO KeyWait
'                -----------------------------------
'                 Pathetic Hideout of Mr. R. review
'                -----------------------------------
Pathetic1:
s$ = "March 1998": GOSUB Review1
PRINT "Reviewed by Tom Zuchowski"
PRINT
PRINT "Playing Time: 1-2 hours"
PRINT "Reviewer Rating: 5.0"
PRINT
PRINT "Comment:  This is another of Nate's early juvenile works.  It has lots of "
PRINT "general silliness, out-of-narrative descriptions, and in-jokes relating to his"
PRINT "high school.  In general, it is an example of the kind of lightweight Eamon"
PRINT "typical of those written by young boys."
PRINT
PRINT "Yet this is in many ways a sophisticated Eamon and there are flashes of the"
PRINT "brilliance that Nate gradually developed and finally demonstrated in "; q$; "Kretons"; q$; "."
PRINT "There are many specials of various kinds, and some of the humor is pretty good."
PRINT "While there are several items to work out, the flavor here is primarily"
PRINT "Hack'n'Slash."
PRINT : PRINT : GOSUB KeyWait
PRINT "I am bumping up the difficulty to (7) for several likely-death traps. Along"
PRINT "those lines, here are some hints: if you enter the secret room off the tunnel"
PRINT "with the stalactites, you will probably die. There is an antidote for the"
PRINT "poison, but you may have to replay that segment several times before you find it"
PRINT "in time. There is no way to honestly survive an encounter with a Balrog.  You"
PRINT "get exactly one turn to escape after using the detonator.  That's a lot of"
PRINT "hints, but there are a lot of ways to die here."
PRINT
PRINT "If you do open the steel door, you will either be amused or annoyed, depending"
PRINT "on your sense of humor.  I thought it was a pretty good joke."
PRINT : PRINT : GOTO KeyWait
'                  --------------------
'                   The Lair of Mr. Ed
'                  --------------------
Ed:
GOSUB Title
PRINT "A few weeks ago at the annual Eamon-Bazoom goodwill festival, you met a fierce"
PRINT "warrior from that strange planet (Bazoom)."
PRINT
PRINT "     His name was P'Tin Kan and he was almost as noble a warrior as you."
PRINT "Becoming fast friends, you set off on many joint quests, trying to see who"
PRINT "could save the other's neck the most."
PRINT
PRINT "     But then one day, when you went to the Main Hall, P'Tin Kan wasn't in"
PRINT "his usual seat.  Worried for your new friend, you went straight to the Burly"
PRINT "Irishman and asked what had happened to him."
PRINT
PRINT "     The Burly Irishman was almost to sad and horrified to speak, but he finally"
PRINT "told you the fate of P'Tin Kan (after about three Double Dragon Blombs!)..."
PRINT : PRINT : GOSUB KeyWait
PRINT "     It seems P'Tin Kan was looking about an act of sabotage at a King's castle"
PRINT "last Thursday (that being his job as deputy to Lord Missilefire) when he found a"
PRINT "trail of horse hooves leading directly into the King's radar room, where the"
PRINT "sabotage was done.  No spy would bring his horse to the scene of the crime, so"
PRINT "it had to be that renegade stallion, Mr. Ed."
PRINT
PRINT "     Nobody saw P'Tin Kan after that night.  His chambers were searched and all"
PRINT "that was found was a trail of horse hooves.  It is almost certain that Mr. Ed"
PRINT "has captured P'Tin Kan, since he knew too much."
PRINT
PRINT "     Infuriated by Mr. Ed's evil deeds, you set out at once to find the"
PRINT "whereabouts of this Mr. Ed guy.  It turns out that he dwells in a heavily"
PRINT "guarded fortress in the middle of a thick forest so you ask Hokas to teleport"
PRINT "you there.  He agrees, and as he completes the spell, he says, "; q$; "Good luck, "
PRINT name$; ".  You got your work cut out for you!"; q$
PRINT : PRINT : GOTO KeyWait
'                ---------------------------
'                 The Lair of Mr. Ed review
'                ---------------------------
Ed1:
s$ = "September 1988": GOSUB Review1
PRINT "Reviewed by Tom Zuchowski"
PRINT
PRINT "Playing Time: 1-3 hours"
PRINT "Reviewer's Rating: 7"
PRINT
PRINT "Comments:  This is by far Nathan's most successful Eamon to date.  It was quite"
PRINT "amusing, as his adventures usually are.  There were a number of good puzzles"
PRINT "that interlocked to some extent that had to be solved in order to gain entry"
PRINT "into Mr. Ed's castle.  The overall effect was very coherent.  I also thought it"
PRINT "was a real hoot the way Mr. Ed, that talking horse of TV fame, was presented as"
PRINT "an evil mastermind."
PRINT
PRINT "Two regular features of Nathan's adventures are armed animals (eg: Ninja Carp)"
PRINT "and his computer club moderator, a Mr. Roessler, and both were present in this"
PRINT "adventure.  The animals were only simple 'orcs', that is, common sword-fodder."
PRINT
PRINT "All in all, I was quite entertained by this one, and would recommend it to"
PRINT "anyone."
PRINT : PRINT : GOTO KeyWait

'              --------------------------
'               The Bridge of Catzad-Dum
'              --------------------------
Bridge:
GOSUB Title
COLOR 2: LOCATE CSRLIN, 33: PRINT "Authors's Notes": COLOR 3
PRINT
PRINT "Welcome to my first grand adventure based on the noble exploits of the great"
PRINT "Maiowaro Tomokato, commonly known as "; q$; "Samurai Cat"; q$; "."
PRINT
PRINT "The game is based quite heavily upon the first chapter of "; q$; "The Adventures of"
PRINT "Samurai Cat"; q$; " so if you have read the book, you will find it much easier."
PRINT : PRINT : GOSUB KeyWait
PRINT "Those of you in the puzzle solving genre won't like this very much, even though"
PRINT "it isn't a mindless hack and slash adventure, there is a lot of violence."
PRINT
PRINT "There is not much I can say without ruining your fun, so good luck and happy"
PRINT "slaying!"
PRINT SPC(50); "-Nathan Segerlind"
PRINT : PRINT : GOSUB KeyWait

LOCATE 10
PRINT "You have accidentally set yourself on a quest that you would rather not have to"
PRINT "do.  But, like all things, we must start at the beginning..."
PRINT : PRINT : PRINT : PRINT : PRINT : GOSUB KeyWait

PRINT "It all started several years ago when your brother moved to Japan.  He married"
PRINT "a Japanese woman, Hanako, and settled down.  They had several wonderful children"
PRINT "and were very prosperous."
PRINT
PRINT "Of course you were lured by his success!  An adventurer to the core, you decided"
PRINT "not to settle down like him, but become a Samurai for the local Shogun, or"
PRINT "military ruler."
PRINT
PRINT "This was the noble Tokugawa Nobunaga.  He saw your fine skills as a warrior very"
PRINT "early and decided to train you personally.  He gave you two fine swords, a"
PRINT "katana (long) and a wakazashi (short) and the most magnificent armor you had"
PRINT "ever seen.  It was a cross between lamellor and plate, with the strength of"
PRINT "plate and the flexibility of chain."
PRINT : PRINT : GOSUB KeyWait
PRINT "But, your gains were not merely material...  Nobunaga gave you special training"
PRINT "that improved your dexterity, hardiness sword skill, and bow skill.  And more"
PRINT "importantly, Nobunaga taught you Bushido, or the way of the warrior."
PRINT
PRINT "This was a rigid set of ancient rules that every Samurai had to obey.  They were"
PRINT "a rigid set of oaths vowing asceticism and honor and banning most less than"
PRINT "moral activities.  But there was more.  Nobunaga personally banned alcoholic"
PRINT "beverage for it poisons the body and slows the reflexes, which Samurai depend"
PRINT "on."
PRINT : PRINT : GOSUB KeyWait
PRINT "Nobunaga then gave you advanced training.  Among things he taught you, the most"
PRINT "important were the three sword blows of death...  The first is the Deflecting"
PRINT "Blow, which if properly timed can deflect anything from arrows to bullets to"
PRINT "disarming cruise missiles in mid-air.  The second is the Scarlet-Tapeworm, or"
PRINT "Disarming Strike.  It will render the strongest of opponents weaponless.  And"
PRINT "third, the Whirling Outboard Motor Propeller Blow.  This allows double damage,"
PRINT "but halves chances to hit.  Note:  You need a sword to effectively accomplish"
PRINT "these maneuvers."
PRINT
PRINT "And that is how you became Nobunaga's fiercest warrior.  With you at his side he"
PRINT "became invincible.  Battles, secret missions, and adventures, all were easily"
PRINT "accomplished by you.  Recently, in a fierce battle, you completely eradicated"
PRINT "the renegade Takeda clan."
PRINT : PRINT : GOSUB KeyWait
PRINT "After the revelry in Azuchi Castle (Nobunaga's stronghold) you politely asked"
PRINT "him if, after several years of service, if you may take a 3 day vacation."
PRINT
PRINT "He laughed heartily, "; q$; "Oh, take the next three months off!  There will be no"
PRINT "battles, nobody desires the fate of the Takeda clan!  You may take your"
PRINT "vacation."; q$
PRINT
PRINT "Well, you decided it would be fine just to take three days off and visit Hanako"
PRINT "and your brother.  But you still feared for Nobunaga..."
PRINT
PRINT "There you and your brother talked of the old times, and the children asked you"
PRINT "to tell them the story of the Battle of Azechwan Hill."
PRINT : PRINT : GOSUB KeyWait
PRINT "While in the middle of the story, you noticed the children getting tense and"
PRINT "anxious.  You immediately suspected a prank.  Glimpsing out of the corner of"
PRINT "your eye, you saw that your nephew, Shiro, had decided to see how tough you"
PRINT "really were.  Just as he was about to strike with his bokken, or wooden training"
PRINT "sword, you caught him and flung him across the room."
PRINT
PRINT "This turned out to be the most exciting moment you had at your stay so after the"
PRINT "third day, you packed up, said good-bye and left."
PRINT
PRINT "You had a bad feeling that day, and it was confirmed.  For as you neared the"
PRINT "castle, you saw dark clouds of black smoke billowing over the hill."
PRINT
PRINT "Worried for Nobunaga, you spurred your horse to a gallop.  When you finally"
PRINT "reached the castle, what you saw filled you with rage and fear."
PRINT : PRINT : GOSUB KeyWait
PRINT "The courtyard was covered with blood, tank tracks, craters and dead bodies as"
PRINT "you neared the main gate, it appeared to be blasted in.  Al Capone and Bugs"
PRINT "Moran, the ones who set the charge that blasted the main gate had fatally"
PRINT "miscalculated the length of the fuse.  In spite of your rage and fear, you"
PRINT "marvelled at the insane bad taste of their purple and green pinstripe suits."
PRINT
PRINT "You pushed through corpses and wrecks to get into the castle.  Apparently,"
PRINT "Nobunaga's enemies were well prepared for the battle.  All over the perimeter of"
PRINT "the wall were burning tiger tanks with corpses littered in and on them.  And the"
PRINT "device that broke the wall was apparently a marvellous land going replica of the"
PRINT "monitor, filled to the brim with now dead Japanese and Apache spearmen."
PRINT : PRINT : GOSUB KeyWait
PRINT "Inside, you could tell the fiercest fighting took place.  The walls were chewed"
PRINT "with bullet holes, cannon blasts and black flag.  As you searched for Nobunaga,"
PRINT "you noticed most of the attackers were foreigners.  Dead Apaches, dead Cossacks"
PRINT "dead Romans, dead Vikings, dead trolls.  And the weaponry was even more varied."
PRINT "A dead dragon in a red army uniform bore a sword-hacked recoilless rifle.  The"
PRINT "prow of a Viking longship protruded from the floor and a B-17 bomber manned with"
PRINT "Mongols had crashed through the ceiling.  A ring of Ostrogoths armed with uzi"
PRINT "submachineguns surrounded a single bullet-torn Samurai."
PRINT
PRINT "Frantically you searched for Nobunaga and finally, next to the body of the alien"
PRINT "from the movie "; q$; "Alien"; q$; " you found his severed head!"
PRINT
PRINT "Filled with horror and hatred you clutched your lord's head.  With bitter rage"
PRINT "you muttered, "; q$; "If any of the butchers survived, may God deliver them to me!"; q$
PRINT : PRINT : GOSUB KeyWait
PRINT "And then the head said, "; q$; "Don't drag him into this!"; q$
PRINT
PRINT "More joyous then surprised, you gently put the head down.  Nobunaga said, "; q$; "Thank"
PRINT "you and now I bet you want revenge?"; q$
PRINT
PRINT "You insisted, "; q$; "Yes, yes!"; q$
PRINT
PRINT q$; "Well here's the list of names and addresses."; q$; "  He then gave you a huge list of"
PRINT "villains of all description.  "; q$; "And finally Fugu Otoko,"; q$; " he said."
PRINT : PRINT : GOSUB KeyWait

LOCATE 10
PRINT "The last thing Nobunaga said to you before you left was, "; q$; "Remember!  The giant"
PRINT "monster may be cowed by high tension wires or oxygen destroyers and be stayed"
PRINT "from levelling Tokyo; but a warrior sees to his duty and does it."; q$
PRINT : PRINT : GOSUB KeyWait

LOCATE 10
PRINT "So that's how you ended up here, just outside of Catzad-Dum.  Lair of Fugu "
PRINT "Otoko, the Blowfish Who Never Smiles and organizer of Nobunaga's brutal murder."
PRINT : PRINT : GOTO KeyWait
'              ---------------------------------
'               The Bridge of Catzad-Dum review
'              ---------------------------------
Bridge1:
s$ = "December 1988": GOSUB Review1
PRINT "Reviewed by Pat Hurst"
PRINT
PRINT "Extra Commands: DEFLECT, SCARLET-TAPEWORM, PROPELLOR-BLOW"
PRINT "Playing Time: 2-3 hours"
PRINT "Reviewer's Rating: 6             Average Rating: 6.5/2"
PRINT
PRINT "Comments:  This is an adventure for tough characters since there is more than"
PRINT "enough combat to satisfy anyone.  Even intermediate characters will find it to"
PRINT "be rough going.  In this regard, powerful weapons aren't the answer because the"
PRINT "adventure provides sufficient firepower.  Your character must have high"
PRINT "hardiness, agility, and weapons and armor expertise.  Some of this is provided"
PRINT "by the author in the MAIN PGM so your character may be leaving the adventure"
PRINT "stronger than when he entered."
PRINT : PRINT : GOSUB KeyWait
PRINT "The adventure is absolute lunacy, disguising mild satirical jabs at several"
PRINT "targets.  If you are new to Eamon, the inside jokes will escape you, but there"
PRINT "is plenty of humor remaining.  For full appreciation, you should play Sam Ruby's"
PRINT "and Tom Zuchowski's adventures set in the worlds of Tolkien.  Familiarity with"
PRINT "Dungeons & Dragons (C) helps, too.  The adventure is long and well-detailed.  I"
PRINT "am unfamiliar with the Samurai Cat stories (the genre used in this adventure),"
PRINT "but I had a good time playing this adventure anyway.  I would recommend it over"
PRINT "other hack-and-slash offerings because of its tongue-in-cheek attitude."
PRINT : PRINT : GOTO KeyWait

'                -------------------------------
'                 Monty Python & the Holy Grail
'                -------------------------------
Grail:
a$ = "Monty Python and the Holy Grail"
b$ = "monte python und da hole grail"
GOSUB Monty1
a$ = "by Nathan Segerlind"
b$ = "bie nathun segerlund"
GOSUB Monty1
a$ = "Inspiration by Monty Python"
b$ = "inspurashun bie monte python"
GOSUB Monty1
a$ = "Technical aid from the Bug Stomper"
b$ = "how about da holidae in sveden?"
GOSUB Monty1
a$ = "Eamon Deluxe gaming system by Frank Black"
b$ = "see the loveli lakes"
GOSUB Monty1
a$ = "Based on an Apple II system by Don Brown"
b$ = "see lots uf furre animals"
GOSUB Monty1
a$ = "Reviewed by the Eamon Adventurer's Guild"
b$ = "inkluding da majestik moose"
GOSUB Monty1
a$ = "Dumb comments by Ryan Cooper"
b$ = "a moose bit mye sistur once"
GOSUB Monty1
a$ = "Animation by John J. J. Schmidt"
b$ = "reallie! she vas trieing to carve hur initials in da moose with a knife when..."
GOSUB Monty1

LOCATE 10: COLOR 14
PRINT "Note:  Those respsonsible for the subtitles have been sacked."
GOSUB Monty1A

LOCATE 10: COLOR 3: a$ = "Moose routine by S. Teneyck": GOSUB Center
COLOR 14: a$ = "Moose text file by Will Stark II": GOSUB Center
COLOR 2: a$ = "Moose's nose wiped by Justin Wilson": GOSUB Center
GOSUB Monty1A

LOCATE 10: COLOR 14
PRINT "Note:  Those responsible for sacking those responsible for the subtitles have"
PRINT "been sacked."
GOSUB Monty1A

COLOR 2 + 16: FOR a = 1 TO 12: PRINT SPC(34); "MOOSE!": NEXT: GOSUB Monty1A

LOCATE 10: COLOR 14
PRINT "We have switched to a new system of doing credits at the last minute."
GOSUB Monty1A

COLOR 2 + 16: LOCATE 3: PRINT STRING$(80, "*"): LOCATE 5: COLOR 0, 3
PRINT SPC(34); "Starring..."; SPC(35); : LOCATE 7, 1: COLOR 0, 4
PRINT SPC(31); "350 brown llamas"; SPC(33); : LOCATE 8, 1: COLOR 0, 5
PRINT SPC(30); "201 Peruvian llamas"; SPC(31); : LOCATE 9, 1: COLOR 0, 6
PRINT SPC(24); "80,000 battery powered llamas "; SPC(26);
LOCATE 10, 1: COLOR 0, 7
PRINT SPC(32); "-2 ninja llamas"; SPC(33); : LOCATE 11, 1: COLOR 0, 4
PRINT SPC(29); "2.333 liberal llamas"; SPC(31); : LOCATE 12, 1: COLOR 0, 10
PRINT SPC(29); "95 republican llamas"; SPC(31); : LOCATE 13, 1: COLOR 0, 6
PRINT SPC(31); "13 unlucky llamas"; SPC(32);
COLOR 3, 0: GOSUB Monty1A

LOCATE 10: COLOR 14: a$ = "Oh heck!  The saga begins..."
GOSUB Center: GOSUB Monty1A

GOSUB Title
PRINT "One day, you were riding about the countryside, when all of a sudden your steed"
PRINT "halted without warning.  Annoyed, you glanced up, and there was God Himself!"
PRINT
PRINT "Thoroughly and utterly humbled, you knelt in a praying position and started"
PRINT "confessing at breakneck speed.  Annoyed, God demanded in a huge, all powerful"
PRINT "voice, "; q$; "Will you be quiet!  Every time I talk to somebody, it's 'Forgive me for"
PRINT "this', or 'Forgive me for that', or 'I'm unworthy of your presence!'"
PRINT
PRINT q$; "Now quit sniveling and listen!"
PRINT : PRINT : GOSUB KeyWait
PRINT q$; "In these dark times, the people need a hero to unify and enlighten them.  You "
PRINT "have been chosen to do this.  And your quest shall be that of the Holy Grail!"; q$
PRINT
PRINT "With that, the heavens shut with a thunderous clang.  You feel as if you are"
PRINT "being transported in time and space, and faintly, but still powerfully, you can"
PRINT "hear God saying..."
PRINT
PRINT q$; "My blessings are with you, and that's no small offer!"; q$
PRINT : PRINT : GOTO KeyWait
'                --------------------------------------
'                 Monty Python & the Holy Grail review
'                --------------------------------------
Grail1:
s$ = "March 1998": GOSUB Review1
PRINT "Reviewed by Tom Zuchowski"
PRINT
PRINT "Playing Time: 1-2 hours"
PRINT "Reviewer Rating: 7.0       Average Rating: 7.0/2"
PRINT
PRINT "Comment: If you've seen and love the movie, you will probably get a lot of"
PRINT "enjoyment out of this adventure.  It's one of Nate's earlier Eamons and doesn't"
PRINT "work nearly as well as it might for many of the sophisticated things it tries"
PRINT "for, but it does pull them off for the most part without too much awkwardness."
PRINT "If you are familiar with the movie, you will do best if you try not to deviate"
PRINT "from the movie script any more than you have to. If you don't know the movie,"
PRINT "you may die a bit more often before you win through to the end."
PRINT
PRINT "There are about five death traps, and odds are you will get nailed by a couple"
PRINT "of them.  But overall the puzzles and combat are not that bad; the difficulty"
PRINT "rings in at about (6) if you've seen the movie and maybe a point or two higher"
PRINT "if you haven't.  When you get killed out by a trap, you will find that you can"
PRINT "get back where you were pretty quickly."
PRINT : PRINT : GOTO KeyWait

'               --------------------
'                Ragnarok Revisited
'               --------------------
Ragna:
IF ScreenErr = 0 THEN CALL Ragnarok.PicLoader
GOSUB Title
PRINT "Welcome to my second adventure based on Mark E. Roger's "; q$; "The Adventures of"
PRINT "Samurai Cat"; q$; ", this adventure is very heavily based on the book, and thus some"
PRINT "parts may seem like a real simple "; q$; "go with the flow"; q$; " adventure.  This is not"
PRINT "true."
PRINT
PRINT "Like my other Samurai Cat adventure, "; q$; "The Bridge of Catzad-Dum"; q$; ", this one has"
PRINT "added emphasis on combat.  Much of your time is spent battling the three main"
PRINT "baddies.  These three are all normally invincible.  Each one's defeat is in the"
PRINT "form of a small tactical puzzle.  For example:  Nobody can defeat a 300 foot"
PRINT "giant, but suppose you tricked it into stepping on a landmine?"
PRINT
PRINT "These puzzles aren't too hard, and a few scant clues are included throughout."
PRINT "Pay close attention!  Since they involve combat, the puzzles are often quite"
PRINT "unforgiving.  Other than that, pay close attention to the new commands, as some"
PRINT "are necessary for survival."
PRINT : PRINT : GOSUB KeyWait
PRINT "These are the extra commands, know them for they shall save your life:"
PRINT
PRINT "DEFLECT:  Deflects all attacks against you in the next combat round, but you may"
PRINT "not ATTACK in the same round (requires a sword)."
PRINT
PRINT "SCARLET-TAPEWORM:  If it hits, chops the target's weapon.  i.e. sever a spider's"
PRINT "fangs, break a Vikings sword, etc. (requires a sword)."
PRINT
PRINT "PROPELLOR-BLOW:  Attack an enemy doing double damage, but cuts chances to hit in"
PRINT "half.  Requires a sword in the ready (requires a sword)."
PRINT : PRINT : GOSUB KeyWait

PRINT "On the ways of Samurai:"
PRINT
PRINT "In this game you play the part of a Samurai whose Lord was murdered.  A few"
PRINT "puzzles require you behave in the ways of a Samurai."
PRINT
PRINT "  1.  Samurai are very honorable, and are known to die for their honor.  No "
PRINT "      true Samurai would lie, steal, or go back on a promise."
PRINT
PRINT "  2.  Samurai live to fight and never do anything that would harm or impair "
PRINT "      their fighting ability."
PRINT
PRINT "  3.  A samurai never attacks innocents."
PRINT : PRINT : GOSUB KeyWait
PRINT "On the question of taking objects in the game:  Samurai don't steal of course,"
PRINT "but that is not handled in this adventure so you can take almost everything;"
PRINT "just be sure not to break a different rule in the process."
PRINT
PRINT "This isn't true Bushido, but it holds up pretty well.  Hopefully this helps you"
PRINT "with some things in the game."
PRINT : PRINT : GOSUB KeyWait

PRINT "The quest begins..."
PRINT
PRINT "Long have you been in search of Ketil and Halfdan Jormunreksson, two powerful"
PRINT "Viking brothers who had participated in the murder of your Lord, Nobunaga."
PRINT
PRINT "Now, you are somewhere in southeastern Sweden, knowing only that they live"
PRINT "somewhere to the northwest.  You were lucky you found that out.  If that short,"
PRINT "dark stranger calling himself "; q$; "the Shadow"; q$; " hadn't told you, you would still be"
PRINT "in Denmark!"
PRINT
PRINT "But now you have other worries.  A great northeaster is blowing into this frigid"
PRINT "land!  Luckily, an old farmer sees you out in the cold and offers you shelter"
PRINT "for the duration of the storm.  Soon the two of you are swapping tales."
PRINT : PRINT : GOSUB KeyWait
PRINT "You tell him of your perilous quest in the Mines of Moria and the rescue of"
PRINT "P'tin Kan from the evil Mr. Ed.  The farmer says, "; q$; "Excellent tale, my good"
PRINT "traveller, it is hard to follow such up.  I shall have to tell of Ragnarok."
PRINT
PRINT q$; "The prophecies of old say that a time shall come when the giants and monsters"
PRINT "accompanied by the most evil warriors of all time, shall storm Asgard!  Asgard,"
PRINT "as you probably don't know, is the home of the gods and heroes.  It is oft said"
PRINT "to be somewhere in the Nordic Mountains, accessible by mortals by a road that"
PRINT "led to the sea.  But the giants wrecked most of the road to hinder an alliance"
PRINT "between the gods and mortals."
PRINT
PRINT q$; "The giants, led by the Midgard Serpent, Fenris the Hel-Hound, and Surtur the"
PRINT "Lord of the Fire Giants, will meet stiff resistance upon attacking Asgard."
PRINT : PRINT : GOSUB KeyWait
PRINT "Odin, king of the gods, shall be slain by Fenris, who in turn will be slain by"
PRINT "Odin's son.  Thor shall slay and be slain by the serpent.  When Surtur falls,"
PRINT "his flaming body will set the earth on fire, and then finally all the universe"
PRINT "will fall in fire."; q$
PRINT
PRINT q$; "Why don't they just put out his fire?"; q$; " you ask."
PRINT
PRINT "The old man merely growls at you and goes on.  Soon the storm is over, and the"
PRINT "farmer bids you farewell."
PRINT
PRINT "While staying with a hapless warrior, "; q$; "Lucky Eddie"; q$; " by name, a messenger bursts"
PRINT "through the door and announces a letter for you and collapses.  You help him"
PRINT "into a seat and read your letter.  It's from your brother in Honshu!"
PRINT : PRINT : GOSUB KeyWait
PRINT SPC(29); "Shimura T. Samurai"
PRINT SPC(32); "Honshu, Japan"
PRINT SPC(31); "April 3rd, 1066"
PRINT
PRINT name$; ","
PRINT
PRINT "Hello, how's it going with those guys from Sweden who nailed Nobunaga?"
PRINT
PRINT "It's ungodly cold out, especially for April!  Of course you probably know all"
PRINT "about the cold, spending all winter in Sweden!  (ha-ha)"
PRINT
PRINT "Seriously; my son Shiro is missing.  At first I thought he was just beating up"
PRINT "dragons and such, but after three days I called the police, to warn them.  I"
PRINT "figure he might be looking for you in Sweden, figuring how much he wants to be a"
PRINT "warrior, like you."
PRINT SPC(48); "Hope you write soon,"
PRINT SPC(56); "Shimura"
PRINT : GOSUB KeyWait
PRINT "You chuckle as you fold the letter and put it into your sack.  "; q$; "So Shiro's on"
PRINT "the loose..."; q$; " you think."
PRINT
PRINT "As you go to sleep that night, you pray Shiro's nowhere near.  He's one vicious"
PRINT "little dude.  But your travels do not fare too well.  Travelling in the"
PRINT "Scandinavian winter is hard and takes many months.  You are sure that it is now"
PRINT "June, and the wind howls with icy rage!"
PRINT
PRINT "Your common sense says it's because you are so high up.  But a little voice"
PRINT "(probably the same that suggested so often that there was a monster under the"
PRINT "bed) replies, "; q$; "Then why is it so raw in the valleys?  Something weird is"
PRINT "happening, something unnatural...  What of the voices in the wind and the riders"
PRINT "in the sky..."; q$
PRINT : PRINT : GOSUB KeyWait
PRINT "You tell the little voice to shut up and go down the pass into the valley.  You"
PRINT "are now a mere mile from reaching Jormunreksfel.  As you cross the pass, the"
PRINT "wind stops howling and is replaced with a sinister silence.  After a few seconds"
PRINT "that seem like years, the silence is broken by a faint braying of horns."
PRINT
PRINT "You are filled with terror as a dark, misty rider materializes and takes to the"
PRINT "air, almost as if it were following some invisible hills.  From behind, some"
PRINT "smaller and mistier ghostly riders charge.  The first wheels about and"
PRINT "brandishes what appears to be a mighty axe, the smaller ones flee into the"
PRINT "clouds."
PRINT
PRINT "The dark rider then veers high into the air over a ridge and out of view.  Flame"
PRINT "spurts over the rocky keel and is followed by hideous rolling laughter that"
PRINT "seems to strangely blend into the  now howling wind."
PRINT : PRINT : GOSUB KeyWait
PRINT "As you descend the cliff, you shiver, and not from the cold.  But your fear is"
PRINT "replaced by wrath as you enter sight of Jormunreksfel!"
PRINT
PRINT "Good luck, and don't let the Valkyrior bite!"
PRINT : PRINT : GOTO KeyWait
'               ---------------------------
'                Ragnarok Revisited review
'               ---------------------------
Ragna1:
s$ = "September 1991": GOSUB Review1
PRINT "Reviewed by Tom Zuchowski"
PRINT
PRINT "Playing Time: 2-3 hours"
PRINT "Reviewer Rating: 8.5"
PRINT
PRINT "Comment:  Like Nate's earlier "; q$; "Samurai Cat"; q$; " Eamon, your character in this"
PRINT "adventure is Samurai Cat himself.  You live by the code of the Bushido and are"
PRINT "peerless in combat.  Your quest this time is to find the murderers of Nobunaga"
PRINT "and avenge his death.  But other events intervene..."
PRINT
PRINT "This adventure is unlike anything else in Eamon.  It draws heavily from the"
PRINT q$; "Samurai Cat"; q$; " comics, and if you aren't reasonably familiar with the style of"
PRINT "these comics, it will probably seem pretty bizarre to you.  Such things as"
PRINT "Vikings, Apaches, Nazis, spears, cannon, guided missiles, and even"
PRINT "land-traveling battleships are routine to see in the same room or battle."
PRINT : PRINT : GOSUB KeyWait
PRINT "At first glance, this seems like a smallish adventure, with only 44 rooms and 25"
PRINT "monsters.  However, there are 90-odd special effects, and they are used very"
PRINT "skillfully to depict a number of special events which range from a single effect"
PRINT "to scenarios that run on for many screens and require player participation."
PRINT
PRINT "While there is some minor puzzling, a Samurai's strong point is combat, and"
PRINT "there is plenty of it to be found here.  And no ordinary combat, either; many if"
PRINT "not most of the combat encounters are special events that include much more than"
PRINT "the usual simple melee printout.  Many know that I am no fan of mindless combat,"
PRINT "but it is well-done and varied here and kept my interest quite well."
PRINT
PRINT "My favorite aspect of this adventure has got to be the special combat commands"
PRINT "DEFLECT, SCARLET-TAPEWORM, and PROPELLER-BLOW.  I never got tired of attacking"
PRINT "an opponent and seeing WITH PRETERNATURAL FEROCITY YOU LASH OUT THE DEADLY"
PRINT "SWIRLING SLASHES OF THE DIVINE WHIRLING OUTBOARD MOTOR PROPELLOR BLOW.  It"
PRINT "didn't hurt that this command is a savage attack on the bad guy, either!"
PRINT : PRINT : GOSUB KeyWait
PRINT "Unless you are somewhat familiar with "; q$; "Samurai Cat"; q$; ", you will probably be put"
PRINT "off by all the incongruous and often downright bizarre things that you see.  "
PRINT "Don't let that stop you; this is a topnotch, very complex adventure and deserves"
PRINT "a play.  I also suggest that you play it through a second time after you have"
PRINT "successfully completed it.  You will enjoy the special effects and events much"
PRINT "more once you have seen it and know what to expect.  I have played it 5 or 6"
PRINT "times, and it is one of a very few Eamons that get better with replays."
PRINT
PRINT "There are several combat situations that require careful reading and quick,"
PRINT "correct action or you will die.  While there is an amusing resurrection"
PRINT "sequence, it is not always easy to see right away what you need to do to defeat"
PRINT "this or that supernatural opponent.  For this reason, I give it a (9) for"
PRINT "difficulty."
PRINT : PRINT : GOTO KeyWait
'              -----------------------
'               Attack of the Kretons
'              -----------------------
Kretons:
PRINT "AUTHOR'S NOTES:": PRINT
a$ = "Welcome to my adventure!": GOSUB Center: PRINT
PRINT "This adventure is strictly for laughs and any attempt to take it seriously will"
PRINT "only prove you to be a mendicant."
PRINT
PRINT "If you have any quarrels with such, go get a life.  If you really think some"
PRINT "yahoo with a sword can "; q$; "seriously"; q$; " murder big reptiles and call it a living, I"
PRINT "suggest you seek therapy.  This game isn't the usual heroic-quest-with-"
PRINT "pointless-puzzles computer gamers like to crank out.  This one is intended to"
PRINT "be funnier than hell!"
PRINT
PRINT "So, with light-heartedness in hand, be sure to enjoy my game!"
PRINT : PRINT : GOSUB KeyWait
PRINT "AUTHOR'S NOTES:": PRINT
PRINT "Attack of the Kretons is loosely based on the Groo comic books by Sergio"
PRINT "Aragones, an artist for Mad magazine among other things.  I can't tell you"
PRINT "much, other than that they are the funniest comic books on the market and they"
PRINT "are a good influence on young children, with lots of slaying and pillaging."
PRINT
PRINT "The most confusing part of the game is in the beginning, as you will have no"
PRINT "actual quest at that point.  Well, you are in a nigh-helpless city under"
PRINT "attack by barbarians.  This should pose as a problem for any normal person."
PRINT "Just find out what you can do to help.  That's the whole point of the game."
PRINT
PRINT "It's important to keep your companions alive, also.  Some play crucial roles"
PRINT "in the game."
PRINT : PRINT : GOSUB KeyWait
PRINT "AUTHOR'S NOTES:": PRINT
PRINT "The new command, TALK, is terribly important and you should use it as often as"
PRINT "possible.  Here's how it works:"
PRINT
PRINT "TALK (person to talk to)"
PRINT
PRINT "Now wasn't that easy?  No fuss with any silly prepositions to screw up Mr."
PRINT "computer.  Just a verb and an object."
PRINT
PRINT "There will be a point in the game where you are incredibly outnumbered.  Don't"
PRINT "be afraid to use the FLEE command."
PRINT : PRINT : GOSUB KeyWait
PRINT : PRINT : PRINT : PRINT
PRINT "     THE SAGA BEGINS..."
PRINT : PRINT : PRINT : PRINT
PRINT : PRINT : GOSUB KeyWait
PRINT "You've been searching for the villain who's been spreading carnage and death"
PRINT "across the land like a plague for almost five months now.  In an almost random"
PRINT "fashion, towns and villages have been looted, burned, and some leveled to the"
PRINT "ground.  Nobody has seen any armies, and mages claim that no magic is at work"
PRINT "in the land."
PRINT
PRINT "You're at a dead end right now.  Kreton barbarians have moved south from Kraut"
PRINT "because of the Sauer Empire's rule, but they attack in open, and in great"
PRINT "numbers.  Nobody has any good guesses.  You begin to question old drunkards"
PRINT "and gossipy women in bazaars."
PRINT
PRINT "You found no answers, but some wierdo gave you some cheesedip.  You found it"
PRINT "odd, but threw it away and went on."
PRINT : PRINT : GOSUB KeyWait
PRINT "You finally wound up in the hick town of Oigres.  With little coin and lots of"
PRINT "time, you became trapped in this dump of stagnation.  You searched the"
PRINT "Bizarre town, but all you could find aside from basic fare was the unusual"
PRINT "dependency the populace had upon cheesedip."
PRINT
PRINT "In fact the town was cheesedip mad.  A bowl of cheesedip accomanied every meal"
PRINT "and a watered version was even drank.  The odd city didn't prove to be a good"
PRINT "place to make any money.  A sagging economy, with a pitiful number of"
PRINT "merchants, made for poor earnings."
PRINT
PRINT "You were on your way out of this bowl of stagnation when a horrified cry broke"
PRINT "the monotony!"
PRINT : PRINT : GOSUB KeyWait
PRINT q$; "Barbarians!  A horde of them!  Storming the city walls!"; q$; " cried a sentry."
PRINT
PRINT "The ill-equiped guards barely closed the gates in time.  Peasants scrambled in"
PRINT "and many fell outside the gates.  You lent your hand with a bow and shot"
PRINT "several of the invaders.  They were fat, short, and obnoxious.  The dreaded"
PRINT "Kretons of Kraut!  The most blood-thirsty killers on the planet!"
PRINT
PRINT "After a short fight, the Kretons fell back and surrounded the city, closing"
PRINT "off the only road out of this dump.  With your fate sealed, you went to the"
PRINT "nearest tavern."
PRINT : PRINT : GOSUB KeyWait
PRINT "So here you are, not quite sober in a crumbling city under siege by barbarians"
PRINT "while an unknown menace waits to strike from the shadows.  And you, the only"
PRINT "decent adventurer in this death trap!"
PRINT
PRINT "You sit and ponder-- If you pass out now and the barbarians kill you, will you"
PRINT "have an eternal hang over?"
PRINT
PRINT "Best not find out!"
PRINT : PRINT : GOTO KeyWait
'              ------------------------------
'               Attack of the Kretons review
'              ------------------------------
Kretons1:
s$ = "March 1990": GOSUB Review1
PRINT "Reviewed by Tom Zuchowski"
PRINT
PRINT "Playing Time: 1.5-2.5 hours"
PRINT "Reviewer Rating: 9.0         Average Rating: 9.0/3"
PRINT
PRINT "Comment:  Combat has a minimal role here.  There are many puzzles of medium"
PRINT "difficulty that are well done.  The plot develops nicely in a series of"
PRINT "mini-quests as you work from one to the next, not really knowing where it is all"
PRINT "going, but not really caring either.  This is a very funny adventure and it is"
PRINT "unquestionably the best Eamon that Nathan has ever done.  I give it a (7) for"
PRINT "difficulty."
PRINT
PRINT "One hint: don't proceed to the final confrontation unless you have BOTH wands!"
PRINT : PRINT : GOTO KeyWait

Bonus:
author$ = "by Nathan Segerlind": Adventure$ = "Bonus intro program": GOSUB Title
PRINT "This is an unrelated weird program that I found on the "; q$; "Lost!"; q$; " disk.  It was"
PRINT "probably the intro for an early Eamon that Nate was going to write.  I thought"
PRINT "it would be fun to include it in this collection during the Eamon Deluxe"
PRINT "conversions."
PRINT
PRINT "Nate apparently stole the typewriter-like printing routine from an old Apple II"
PRINT "screen printing utility called "; q$; "Triple Dump"; q$; " by Beagle Bros. Software."
PRINT SPC(41); " -Frank"
PRINT : PRINT : GOSUB KeyWait
CLS : WIDTH 40: klikdelay = 0: colour = 7: COLOR 0, colour
GOSUB TD1: PRINT "   !                                !   ";
FOR i = 1 TO 11
   GOSUB TD2: PRINT " o !                                ! o ";
   GOSUB TD1: PRINT "   !                                !   ";
NEXT
GOSUB TD1:  GOSUB TD3: GOSUB TD1: PRINT : GOSUB TD1: PRINT : GOSUB TD1

GOSUB TD2: a$ = "         Gangbusters        ": GOSUB TD4: PRINT
GOSUB TD1: a$ = "      By Nathan Segerlind     ": GOSUB TD4: PRINT
GOSUB TD2: a$ = "                             ": GOSUB TD4: PRINT
GOSUB TD1: a$ = "   You are here to stop the  ": GOSUB TD4: PRINT
GOSUB TD2: a$ = " evil forces of the more evil ": GOSUB TD4: PRINT
GOSUB TD1: a$ = " gangster, the Godfather. He ": GOSUB TD4: PRINT
GOSUB TD2: a$ = " has vast forces of G-Men   ": GOSUB TD4: PRINT
GOSUB TD1: a$ = " hit-men, thugs, assassins, ": GOSUB TD4: PRINT
GOSUB TD2: a$ = " goons, and his relatives.  ": GOSUB TD4: PRINT
GOSUB TD1: a$ = "  *****Top-Secret Files***** ": GOSUB TD4: PRINT
GOSUB TD2: a$ = " 1) He raided an army weapons ": GOSUB TD4: PRINT
GOSUB TD1: a$ = "    arsenal last week.      ": GOSUB TD4: PRINT
GOSUB TD2: a$ = " 2) He murdered Jimmy Hoffa  ": GOSUB TD4: PRINT
GOSUB TD1: a$ = "   That's all. You will be  ": GOSUB TD4: PRINT
GOSUB TD2: a$ = " paid 4000gp upon completion ": GOSUB TD4: PRINT
GOSUB TD1: a$ = " one last note: the Godfather ": GOSUB TD4: PRINT
GOSUB TD2: a$ = " himself is not in his mansion.": GOSUB TD4: PRINT
GOSUB TD1: PRINT : GOSUB TD3
GOSUB TD1: a$ = "Press any key to bust the gang": GOSUB TD4

a$ = INKEY$
DO
LOOP UNTIL INKEY$ <> ""
CLS : WIDTH 80: COLOR 3, 0: CLS
GOTO Menu

TD1:
PRINT "   !                                !  ";
LOCATE CSRLIN, 1: RETURN

TD2:
PRINT " o !                                ! o"; : LOCATE CSRLIN, 1: RETURN

TD3:
PRINT "---+--------------------------------+--";
PRINT "---+--------------------------------+---";
RETURN

TD4:
tggle = ABS(NOT tggle): IF tggle = 0 THEN GOTO TD4A
LOCATE CSRLIN, 6
FOR i = 1 TO LEN(a$)
   COLOR colour, 0: PRINT " "; : LOCATE CSRLIN, POS(0) - 1: COLOR 0, colour
   m$ = MID$(a$, i, 1): PRINT m$;
   IF m$ <> " " THEN
     klikdelay = klikdelay + 1
     IF klikdelay = 2 THEN klikdelay = 0: SOUND 50, .5
     FOR x# = 1 TO dly# / 3: NEXT
   END IF
NEXT
RETURN

TD4A:
LOCATE CSRLIN, 35
FOR i = LEN(a$) TO 1 STEP -1
   COLOR colour, 0: PRINT " "; : LOCATE CSRLIN, POS(0) - 1: COLOR 0, colour
   m$ = MID$(a$, i, 1)
   PRINT m$; : LOCATE CSRLIN, POS(0) - 2
   IF m$ <> " " THEN
     klikdelay = klikdelay + 1
     IF klikdelay = 2 THEN klikdelay = 0: SOUND 50, .5
   END IF
NEXT
RETURN

'                *****************
'                  Review header
'                *****************
Review1:
GOSUB Title: COLOR 2: PRINT "The Eamon Adventurer's Guild"
PRINT "Thomas Zuchowski, Editor": PRINT "7625 Hawkhaven Dr."
PRINT "Clemmons, NC  27012": COLOR 3: PRINT : PRINT
PRINT "The following is from the "; s$; " issue of the Eamon Adventurer's Guild"
PRINT "newsletter.  The EAG supports the Apple II version of Eamon and not Eamon"
PRINT "Deluxe.  The review is for the old Apple II version.": PRINT
PRINT "The EAG rating system is from 1-10 (10 being the best), the average rating"
PRINT "is displayed with the number of people who have rated it.  e.g. 4.6/3 is an"
PRINT "average rating of 4.6 by the ratings of three people.": PRINT
PRINT "Remember, these reviews were written for the OLD versions of these adventures,"
PRINT "most Eamon Deluxe adventures have been enhanced considerably!"
PRINT : PRINT : GOTO KeyWait

'                 ********************
'                   Select adventure
'                 ********************
Pick:
adv = 0: a$ = ""
CALL EDX.Select.Multi.Adventure(adv, a$)
Adventure$ = a$(adv): mp$ = mp$(adv): author$ = a1$(adv)
RETURN

'               *********************
'                 Wait for keypress
'               *********************
KeyWait:
PRINT "Press any key to continue...";
KeyWait1:
k$ = INKEY$
BS = POS(0): CC# = 0
DO
   CC# = CC# + 1
   IF CC# = CC1# THEN PRINT "/"; : LOCATE CSRLIN, BS
   IF CC# = CC2# THEN PRINT CHR$(179); : LOCATE CSRLIN, BS
   IF CC# = CC3# THEN PRINT "\"; : LOCATE CSRLIN, BS: CC# = 0
   k$ = INKEY$
LOOP UNTIL k$ <> ""

'
' Clear screen and print adventure name and author
'
Title:
CLS : a$ = Adventure$: GOSUB Center: a$ = author$: GOSUB Center
PRINT l$: PRINT : RETURN

'
' Center a string on 80-column screen
'
Center:
PRINT SPC((79 - LEN(a$)) / 2); a$: RETURN

'      Intro credits routine for Holy Grail
Monty1:
CLS
LOCATE 10: COLOR 14: GOSUB Center
LOCATE 12: COLOR 2: a$ = b$: GOSUB Center
Monty1A:
LOCATE 20: COLOR 3: a$ = "(Press any key to continue)": GOSUB Center
a$ = INKEY$
DO
a$ = INKEY$
LOOP UNTIL a$ <> ""
CLS : RETURN

'--------------------------------------------
' Can't initialize graphics screen
'--------------------------------------------
ScreenError:
SCREEN 0: WIDTH 80: CLS : ScreenErr = 1
COLOR 0, 2: PRINT " Sorry, ": COLOR 3, 0: PRINT
PRINT "You won't be able see the graphic intro of "; q$; "Ragnarok Revisited"; q$; ", because it"
PRINT "requires an EGA or VGA graphics display."
PRINT : PRINT : GOSUB KeyWait: RESUME Start

'
' Adventure data
'
AdventureData:
DATA 9
DATA The Computer Club of Fear,CCFEAR
DATA Lost!,LOST!
DATA The Lake,LAKE
DATA Pathetic Hideout of Mr. R.,PATHETIC
DATA The Lair of Mr. Ed,MR-ED
DATA The Bridge of Catzad-Dum,BRIDGE
DATA Monty Python & the Holy Grail,GRAIL
DATA Ragnarok Revisited,RAGNAROK
DATA Attack of the Kretons,KRETONS

EDXMenuStrings:
DATA 5
DATA " 1. Read intro stories "," 2. Read adventure reviews "
DATA " 3. Play an adventure "," 4. Bonus program "," 5. Quit "

SUB EDX.Select.Multi.Adventure (c, a$)
'/// Eamon Deluxe Multi-Adventure Selection
'
'   Codes returned from SUB:
'      c - Number of adventure selected
'     a$ - Name of adventure selected

IF dungeons = 1 THEN c = 1: a$ = ANAME$: EXIT SUB

'            Load adventure names
REDIM advn$(dungeons)
FOR x = 1 TO dungeons
   advn$(x) = LEFT$(LTRIM$(RTRIM$(dn$(x))), 38)
NEXT
numadv = dungeons

keyz$ = CHR$(27) + CHR$(13) + CHR$(73) + CHR$(81) + CHR$(71) + CHR$(79)
keyz$ = keyz$ + CHR$(72) + CHR$(80) + CHR$(75) + CHR$(77)
min = VAL(MID$(TIME$, 4, 2)) - 2 '<-- Force time display

mSelectADVa:
GOSUB mSelectADV0

mSelectADV:
IF c < be THEN c = en
IF c > en THEN c = be
x = ABS(c > be + 20): v = 3 + (c - be) - 21 * x: h = 2 + 39 * x
LOCATE v, h: COLOR 0, 3: PRINT advn$(c);

DO
  COLOR 7, 1
  IF VAL(MID$(TIME$, 4, 2)) <> min THEN
    hr = VAL(LEFT$(TIME$, 2)): min = VAL(MID$(TIME$, 4, 2))
    IF (hr = 0 OR hr = 24) AND min = 1 THEN GOSUB mSelectADV0
    k = hr - 12 * ABS(hr > 12) + 12 * ABS(hr = 0): x = 52 - ABS(k > 9)
    LOCATE 25, x: COLOR 7, 1: PRINT SPACE$(13); : LOCATE 25, x
    PRINT "  "; STR$(k);
    PRINT MID$(TIME$, 3); " "; MID$("a.m.p.m.", 4 * ABS(hr > 12) + 1, 4);
  END IF
  LOCATE 25, 60: PRINT RIGHT$(TIME$, 2); : k$ = INKEY$
  k = INSTR(keyz$, RIGHT$(k$, 1)): IF k > 2 THEN k = k * ABS(LEN(k$) > 1)
LOOP UNTIL k$ <> "" AND k > 0

LOCATE v, h: COLOR 3, 0: PRINT advn$(c);

'         Set arguments and exit
IF k < 3 THEN
  a$ = dn$(c): VIEW PRINT 1 TO 25: CLS : EXIT SUB
END IF

'          Pg up/down
IF k = 3 AND en < numadv THEN be = be + 42: GOTO mSelectADVa
IF k = 4 AND be > 1 THEN be = be - 42: GOTO mSelectADVa
'          Home/end
IF k = 5 THEN c = be
IF k = 6 THEN c = en
'         Up/down/left/right
IF k > 8 AND c < be + 21 AND c + 21 > en THEN k = k - 2
IF k = 7 THEN c = c - 1
IF k = 8 THEN c = c + 1
IF k = 9 THEN c = c - 21 + 42 * ABS(c < be + 21)
IF k = 10 THEN c = c + 21 - 42 * ABS(c > be + 21)
GOTO mSelectADV

'       Set up screen
mSelectADV0:
VIEW PRINT 1 TO 25: COLOR 7, 0: CLS : COLOR 7, 1
PRINT "    <Enter=Accept>    <Escape=Exit>    <Page Up/Page Down=More Options>         "
LOCATE 25, 1:
PRINT " <Use Arrow keys, Home, or End to select>"; SPACE$(29);
PRINT MID$(DATE$, 4, 2); "-"; : k = VAL(LEFT$(DATE$, 2)) - 1
PRINT MID$("JanFebMarAprMayJunJulAugSepOctNovDec", k * 3 + 1, 3); "-";
PRINT RIGHT$(DATE$, 2); : PRINT SPACE$(81 - POS(0)); : COLOR 3, 0
'       Display choices
mSelectADV1:
IF be < 1 THEN be = 1
IF be > numadv THEN be = numadv
en = be + 41: IF en > numadv THEN en = numadv
VIEW PRINT 3 TO 23: CLS 2: v = 3: h = 2
FOR x = be TO en
   LOCATE v, h: PRINT advn$(x); : v = v + 1: IF v = 24 THEN v = 3: h = 41
NEXT
c = be: RETURN
END SUB

SUB EDXMenuM (c, c1, be, en, tc1, tc2)
' // Compact version of standard Eamon Deluxe selection menu
'      Allows only a single row of choices and has no error checking
'
'  Arguments passed to EDXMenuM:
'     c - Vertical cursor position to begin at (0=CSRLIN)
'    c1 - Horizontal cursor position to begin at  (0=POS)
'    be - Location in em$ array to begin at
'    en - Location in em$ array to end
'   tc1 - Text foreground color of menu
'   tc2 - Text background color of menu
'
' Values returned by EDXMenuM:
'     c - The number of the choice relative to the amount of choices
'    c1 - This holds the exit key code (Standard:1=Enter,2=Space,3=Escape)
'    en - The actual array number of em$() that was chosen
'
'  Required SHARED variables:        (same as EDXMenu)
'
'   em$() - An array which holds all available choices.  em$(0) must
'           contain exit keys
'    em0 - The maximum dimension of the em$() array.
'
'   Upon exit, the cursor will locate to the row just beneath the last
'   choice (or 25 if it exceeds screen), at column 1
'
IF c = 0 THEN c = CSRLIN
IF c1 = 0 THEN c1 = POS(0)
v = c: v1 = c: h = c1: c = be: c1 = 0: ad = en - (en - be) - 1: COLOR tc1, tc2
FOR x = be TO en: LOCATE v, h: PRINT em$(x); : v = v + 1: NEXT

EDXMenuM:
IF c < be THEN c = en
IF c > en THEN c = be
v = c - ad + v1 - 1
LOCATE v, h: COLOR tc2, tc1: PRINT em$(c);
DO
  k$ = INKEY$
LOOP UNTIL k$ <> ""
c1 = INSTR(em$(0), RIGHT$(k$, 1)): k = ASC(RIGHT$(k$, 1))
LOCATE v, h: COLOR tc1, tc2: PRINT em$(c);

IF LEN(k$) > 1 THEN
  IF k = 71 THEN c = be
  IF k = 79 THEN c = en
  IF k = 72 OR k = 75 THEN c = c - 1
  IF k = 80 OR k = 77 THEN c = c + 1
  GOTO EDXMenuM
END IF

IF c1 = 0 THEN GOTO EDXMenuM
LOCATE en - ad + v1 - 1: PRINT : en = c: c = c - be + 1: EXIT SUB
END SUB

SUB Ragnarok.PicLoader
'
'    Ragnarok Revisited picture loader and uncompressor
'   ----------------------------------------------------
'
SCREEN 7: CLS : PRINT "Loading pictures..."
SCREEN , 0, 1, 0: pic = 0: GOSUB PicLoader
SCREEN , 0, 0, 1: pic = 4: GOSUB PicLoader

'   Animate
a$ = INKEY$
FOR y = 1 TO 20
   SCREEN , 0, 0, 0: FOR x = 1 TO dly#: NEXT
   SCREEN 7, 0, 1: FOR x = 1 TO dly#: NEXT
   IF INKEY$ <> "" THEN y = 20
NEXT

'  Resume text mode and exit
SCREEN 0: WIDTH 80: CLS : COLOR 3
EXIT SUB

'  Load & uncompress pictures
PicLoader:
OPEN "RAGNAROK.PIC" FOR RANDOM AS #1 LEN = 6920
    GET #1, 1 + pic, picrec
    a$ = picrec.s
    p = 1
    FOR a = 1 TO 3460 * 2 STEP 2
       pic%(p) = CVI(MID$(a$, a, 2))
       p = p + 1
    NEXT
    PUT (0, 0), pic%, PSET: a$ = ""
    GET #1, 2 + pic, picrec
    a$ = picrec.s
    p = 1
    FOR a = 1 TO 3460 * 2 STEP 2
       pic%(p) = CVI(MID$(a$, a, 2))
       p = p + 1
    NEXT
    PUT (140, 0), pic%, PSET: a$ = ""
    GET #1, 3 + pic, picrec
    a$ = picrec.s
    p = 1
    FOR a = 1 TO 3460 * 2 STEP 2
       pic%(p) = CVI(MID$(a$, a, 2))
       p = p + 1
    NEXT
    PUT (0, 96), pic%, PSET: a$ = ""
    GET #1, 4 + pic, picrec
    a$ = picrec.s
    p = 1
    FOR a = 1 TO 3460 * 2 STEP 2
       pic%(p) = CVI(MID$(a$, a, 2))
       p = p + 1
    NEXT
    PUT (140, 96), pic%, PSET: a$ = ""
CLOSE : RETURN
END SUB

